package ru.yandex.webmaster3.viewer.http.crawl;

import ru.yandex.autodoc.common.doc.annotation.Description;
import ru.yandex.webmaster3.core.http.RequestQueryProperty;
import ru.yandex.webmaster3.viewer.http.AbstractUserVerifiedHostRequest;

/**
 * @author avhaliullin
 */
public class UpdateCrawlSettingsRequest extends AbstractUserVerifiedHostRequest {
    private boolean useDefaults;
    private double multiplier;

    public boolean isUseDefaults() {
        return useDefaults;
    }

    @RequestQueryProperty(required = true)
    @Description("использовать настройки по умолчанию")
    public void setUseDefaults(boolean useDefaults) {
        this.useDefaults = useDefaults;
    }

    public double getMultiplier() {
        return multiplier;
    }

    @RequestQueryProperty(required = true)
    @Description("мультипликатор")
    public void setMultiplier(double multiplier) {
        this.multiplier = multiplier;
    }
}
